## libtool 2.4.7

=== debian/changelog ===
libtool (2.4.7-8) unstable; urgency=medium

  [ Helmut Grohe ]
  * Fix FTCBFS: Use gfortran-for-host. (Closes: #-1)
    + As a result gfortran must be triplet-prefixed even in native builds.

  [ Alastair McKinstry ]
  * Fix broken vcs url
  * Standards-Version now 4.7.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 02 Nov 2024 09:13:30 +0000

libtool (2.4.7-7) unstable; urgency=medium

  * Remove obsole Breaks: for oldstable , Provides: libltdl7-dev
  * Replace Breaks: libltdl3-dev with Conflicts: libltdl3-dev.
    Thanks  Andreas Beckmann. Closes: #1041229

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 17 Jul 2023 16:03:58 +0100

libtool (2.4.7-6) unstable; urgency=medium

  * Incorrect check for += operator causes func_append to fail
    Patch from Ernesto Alfonso. Closes: #1039612
  * Standards-Version: 4.6.2
  * Add Breaks/Replaces on libtldl3-dev. Closes: #1039583

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 15 Jul 2023 09:09:39 +0100

libtool (2.4.7-5) unstable; urgency=medium

  * Standards-Version: 4.6.1
  * Ack fixed FTBFS bug : Closes: #1020067

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 23 Nov 2022 11:34:12 +0000

libtool (2.4.7-4) unstable; urgency=medium

  * Update VERSION and SERIAL in d/rules

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 04 May 2022 09:09:59 +0100

libtool (2.4.7-3) unstable; urgency=medium

  * Re-add provides: libltdl3-dev 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 05 Apr 2022 16:07:10 +0100

libtool (2.4.7-2) unstable; urgency=medium

  [ Alastair McKinstry ]
  * Add runpath with CC=tcc LD=tcc, with the -rpath option.
    Closes: #814091

  [ Nicolas Boulenguez ]
  * Drop dependencies older than oldoldstable
  * Machine-readable d/copyright
  * Use dpkg-dev snippets for architecture build flags
  * Lintian fixes
  * Shorten-definition-of-AM_VERSION

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 25 Mar 2022 12:53:16 +0000

libtool (2.4.7-1) unstable; urgency=medium

  * New upstream release
  * Patches merged upstream:
   - 0001-libtool-fix-GCC-linking-with-specs.patch
   - 0003-libtoolize-fix-infinite-recursion-in-m4.patch
   - 0010-libtool-mitigate-the-sed_quote_subst-slowdown.patch
   - 0012-funclib-refactor-quoting-methods-a-bit.patch
   - 0015-syntax-check-fix-sed-syntax-errors.patch
   - 0020-libtool-fix-GCC-clang-linking-with-fsanitize.patch
   - libtool-2.4.6-am-1.16-test.patch
   - 0025-libtool-pass-use-ld.patch
   - 0035-ac-prereq.patch
   - 0060-ar.patch
   - 0065-autoconf-version.patch
   - 0070-libtool-bigsur.patch
  * Standards-version: 4.6.0

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Mar 2022 11:47:25 +0000

libtool (2.4.6-15) unstable; urgency=medium

  * Drop shipping /usr/lib/*/libltdl.la
  * Update autoconf requirement. Closes: #979123
  * Standards-Version: 4.5.1, no changes required
  * Move to debhelper compat level 13
  * Move to DEP-14 branches; add d/gbp.conf to point to these
  * Point vcs-git to debian/latest branch
  * Remove dates/times from documentation. Closes: #951031
  * Include libtool patch for MacOS BigSur support. Closes: #975257
  * Update watch file to version 4; add sig checking
  * Drop useless autotools-dev build-dependency
  * Fix perms for ltmain.sh
  * Patch for incorrect struct names. Closes: #304400
  * Ensure  libtool-2.4.6-am-1.16-test.patch is used

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 09 Jan 2021 20:49:30 +0000

libtool (2.4.6-14) unstable; urgency=medium

  * Add Breaks/Replaces on libtool-doc. Closes: #950916
  * Ack bug fixed in -12 release: Closes: #929184

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 02 Mar 2020 09:35:42 +0000

libtool (2.4.6-13) unstable; urgency=medium

  * Drop d/libtool.docs; ship the docs in libtool-docs.
    Closes: #950916

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 16 Feb 2020 12:06:34 +0000

libtool (2.4.6-12) unstable; urgency=medium

  [ Helmut Grohe ]
  * Avoid build-dependency cycle with libtool. Closes: #924184
  [ Vagrant Cascadian ]
  * all ./configure with explicit GREP=/bin/grep and SED=/bin/sed,
    to prevent variation when built on a merged /usr system.
    Closes: #949270
  * Remove file-prefix-map/debug-prefix-map arguments from the libtool.1 manpage,
    which results in an unreproducible package when the build path varies.
    Closes: #949271
  [ Alastair McKinstry ]
  * Standards-Version: 4.5.0
  * Use debhelper-compat (= 12)
  * Increment AC_PREREQ to 2.63. Closes: #948511
  * Remove unsafe debug_cmd. Closes: #866631
  * Close ENOFIX a 15-yr old wishlist. Closes: #258261
  * Close old bugs believed fixed. Closes: #243618, #644744
  * Minor documentation fix. Closes: #253904
  * Set AR_FLAGS=cr by default. Closes: #864018
  [ Vincent Lefevre ]
  * Pass fcilkplus and sanitizer flags unchanged. Closes: #751161

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Feb 2020 16:15:16 +0000

libtool (2.4.6-11) unstable; urgency=medium

  * Close unreproducible bug (timing related? ). Closes: #922689
  * Standards-Version: 4.4.0

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 28 Aug 2019 14:42:23 +0100

libtool (2.4.6-10) unstable; urgency=medium

  * 0030-flang-support.patch: Support for Flang Fortran compiler

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 18 Feb 2019 15:53:43 +0000
