=== debian/control ===
Source: libtool
Build-Depends: debhelper-compat (= 13),
  file,
  gfortran-for-host | fortran95-compiler,
  automake (>= 1:1.14.1-3),
  autoconf (>= 2.69-7),
  help2man,
  texinfo,
  zlib1g-dev,
  gnulib,
  libltdl-dev <!nocheck>
Build-Conflicts: automake1.9, gcj-jdk
Section: devel
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.gnu.org/software/libtool/
Vcs-Browser: https://salsa.debian.org/mckinstry/libtool.git
Vcs-Git: https://salsa.debian.org/mckinstry/libtool.git -b debian/latest

Package: libtool
Architecture: all
Multi-Arch: foreign
Depends: gcc | c-compiler, cpp, libc6-dev | libc-dev,
  file,
  autotools-dev,
  ${misc:Depends}
Suggests: libtool-doc, autoconf, automaken, gfortran | fortran95-compiler, gcj-jdk
Recommends: libltdl-dev
Description: Generic library support script
 This is GNU libtool, a generic library support script.  Libtool hides
 the complexity of generating special library types (such as shared
 libraries) behind a consistent interface.  To use libtool, add the
 new generic library building commands to your Makefile, Makefile.in,
 or Makefile.am.  See the documentation for details.  Libtool supports
 building static libraries on all platforms.
 .
 Libtool supports generation of C, C++, Fortran and Java libraries.

Package: libtool-bin
Architecture: any
Depends: libtool (>= ${source:Version}), ${misc:Depends}
Replaces: libtool (<< 2.4.2-1.8~)
Description: Generic library support script (libtool binary)
 This is GNU libtool, a generic library support script.  Libtool hides
 the complexity of generating special library types (such as shared
 libraries) behind a consistent interface.  To use libtool, add the
 new generic library building commands to your Makefile, Makefile.in,
 or Makefile.am.  See the documentation for details.  Libtool supports
 building static libraries on all platforms.
 .
 Libtool supports generation of C, C++, Fortran and Java libraries.
 .
 This package contains the libtool binary only.

Package: libtool-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Generic library support script (documentation)
 This package contains the GNU libtool documentation.
 .
 GNU libtool is generic library support script.  Libtool hides
 the complexity of generating special library types (such as shared
 libraries) behind a consistent interface.  To use libtool, add the
 new generic library building commands to your Makefile, Makefile.in,
 or Makefile.am.  See the documentation for details.  Libtool supports
 building static libraries on all platforms.

Package: libltdl7
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: System independent dlopen wrapper for GNU libtool
 This package contains the run-time libltdl library.
 .
 A small library that aims at hiding the various difficulties of
 dlopening libraries from programmers.  It is a system independent
 dlopen wrapper for GNU libtool.
 .
 It supports the following dlopen interfaces:
   * dlopen (Solaris, Linux and various BSD flavors)
   * shl_load (HP-UX)
   * LoadLibrary (Win16 and Win32)
   * load_add_on (BeOS)
   * GNU DLD (emulates dynamic linking for static libraries)
   * libtool's dlpreopen

Package: libltdl-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Suggests: libtool-doc
Provides: libltdl3-dev
Conflicts: libltdl3-dev
Replaces: libbtldl3-dev
Recommends: libtool
Depends: libltdl7 (= ${binary:Version}), ${misc:Depends}, ${automake}
Description: System independent dlopen wrapper for GNU libtool (headers)
 This package contains the header files and static libraries for the
 libltdl package.
 .
 A small library that aims at hiding the various difficulties of
 dlopening libraries from programmers.  It is a system independent
 dlopen wrapper for GNU libtool.
 .
 It supports the following dlopen interfaces:
   * dlopen (Solaris, Linux and various BSD flavors)
   * shl_load (HP-UX)
   * LoadLibrary (Win16 and Win32)
   * load_add_on (BeOS)
   * GNU DLD (emulates dynamic linking for static libraries)
   * libtool's dlpreopen
