## libtool 2.5.4

=== debian/changelog ===
libtool (2.5.4-7) unstable; urgency=medium

  * Fix libtool automake dependency handling. Thanks to Santiago Vila.
    Closes: #1118477

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Oct 2025 12:49:42 +0100

libtool (2.5.4-6) unstable; urgency=medium

  * Depend on automake >= 1.18. Closes: #1118312

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 20 Oct 2025 16:59:20 +0100

libtool (2.5.4-5) unstable; urgency=medium

  [ Alastair McKinstry ]
  * Clean more autogenerated files for repeated builds. Closes: #1048097
  * Drop Suggests: gck-jdk. Closes: #982873

  [ Helmut Grohe ]
  * Fix FTCBFS: Use gfortran-for-host. (Closes: #1086592)
    As a result gfortran must be triplet-prefixed even in native builds.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Aug 2025 10:36:25 +0100

libtool (2.5.4-4) unstable; urgency=medium

  [ Jordi Mallach ]
  * Update VERSION and SERIAL in debian/rules. Closes: #1099559

  [ Alastair McKinstry ]
  * Standards-Version: 4.7.2

 -- Jordi Mallach <jordi@debian.org>  Wed, 05 Mar 2025 00:03:06 +0100

libtool (2.5.4-3) unstable; urgency=medium

  * Drop B-D on libltdl-dev. Closes: #1094361

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 31 Jan 2025 12:12:49 +0000

libtool (2.5.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix aclocal version matching to cope with minor-less versions. (Closes:
    #1094400)

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 29 Jan 2025 14:07:27 +0100

libtool (2.5.4-2) unstable; urgency=medium

  * Upload to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 06 Jan 2025 09:41:19 +0000

libtool (2.5.4-1) experimental; urgency=medium

  * New upstream release. Closes: #1077058
  * Drop merged/obsolete patches:
    - 0050-documentation.patch
    - 0055-pass-flags-unchanged.patch
    - 0080-struct-names.patch
    - 0085-tcc-path.patch
    - grep-spaces.patch
    - libtool-eval-nm.patch
    - man-add-whatis-info.diff
    - no_hostname.patch
    - version_string.patch
  * Fix broken vcs url
  * Standards-Version now 4.7.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Dec 2024 18:13:26 +0000
