=== debian/control ===
--- 
+++ 
@@ -2,18 +2,17 @@
 Build-Depends: debhelper-compat (= 13),
   file,
   gfortran-for-host | fortran95-compiler,
-  automake (>= 1:1.14.1-3),
+  automake (>= 1:1.18.1-2),
   autoconf (>= 2.69-7),
   help2man,
   texinfo,
   zlib1g-dev,
-  gnulib,
-  libltdl-dev <!nocheck>
+  gnulib
 Build-Conflicts: automake1.9, gcj-jdk
 Section: devel
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.gnu.org/software/libtool/
 Vcs-Browser: https://salsa.debian.org/mckinstry/libtool.git
@@ -25,8 +24,9 @@
 Depends: gcc | c-compiler, cpp, libc6-dev | libc-dev,
   file,
   autotools-dev,
+  automake (>= 1:1.18.1-2),
   ${misc:Depends}
-Suggests: libtool-doc, autoconf, automaken, gfortran | fortran95-compiler, gcj-jdk
+Suggests: libtool-doc, autoconf, automaken, gfortran | fortran95-compiler
 Recommends: libltdl-dev
 Description: Generic library support script
  This is GNU libtool, a generic library support script.  Libtool hides
