=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,8 @@
 #export DH_VERBOSE=1
 
 # In case they are dropped
-SERIAL=4245
-VERSION=2.4.7
+SERIAL=4441
+VERSION=2.5.4
 
 include /usr/share/dpkg/architecture.mk
 DEB_CFLAGS_MAINT_PREPEND := -Wall
@@ -26,7 +26,7 @@
 	INSTALL_PROGRAM += -s
 endif
 
-AM_VERSION=$(shell aclocal --version | sed 's/.* \([0-9]\+\.[0-9]\+\)\.[0-9]\+$$/\1/;q')
+AM_VERSION=$(shell aclocal --version | sed 's/.* \([0-9]\+\.[0-9]\+\)\(\.[0-9]\+\)\?$$/\1/;q')
 
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
 	confflags += --build=$(DEB_HOST_GNU_TYPE)
@@ -66,6 +66,10 @@
 	rm -f build-aux/do-release-commit-and-tag build-aux/gnu-web-doc-update 
 	rm -f m4/gnulib-common.m4 m4/00gnulib.m4 maint.mk doc/fdl.texi
 	rm -f doc/gendocs_template GNUmakefile
+	rm -f doc/stamp-vti libltdl/aclocal.m4 tests/testsuite
+	rm -f aclocal.m4 doc/gendocs_template_min doc/version.texi gnulib-tests/Makefile.am gnulib-tests/Makefile.in gnulib-tests/init.sh
+	rm -f gnulib-tests/test-init.sh m4/zzgnulib.m4 gnulib-tests/test-vc-list-files-git.sh gnulib-tests/test-vc-list-files-cvs.sh
+	rm -f gnulib-tests/test-update-copyright.sh
 	# Undo the version change if there is any.
 	sed -i -e "s/\$$scriptversion.*/\$$scriptversion/" libtoolize.in
 	sed -i -e "s/\$$scriptversion.*/\$$scriptversion/" build-aux/ltmain.in
@@ -237,10 +241,9 @@
 	dh_installdeb -a
 	dh_shlibdeps -a
 	rm -f debian/libltdl-dev.substvars
-	echo 'automake=automake-${AM_VERSION}' > debian/libltdl-dev.substvars
+	echo 'automake=automake (>= ${AM_VERSION})' > debian/libltdl-dev.substvars
 	dh_gencontrol -a
 	dh_md5sums -a
 	dh_builddeb -a
 
 binary: binary-indep binary-arch
-.PHONY: build build-arch build-indep clean config patch unpatch binary-indep binary-arch binary install
