=== debian/watch ===
version=4
https://ftp.gnu.org/gnu/libtool/libtool-(.*)\.tar\.gz debian uupdate pgpsigurlmangle=s/$/.sig/
